﻿IF(@5 IS NULL OR @5='')
BEGIN
	SELECT ROW_NUMBER() over(order by MANIFEST_NO) as Row, KANBAN_ID, KANBAN_NO, PART_NAME, PART_NO,  SUPPLIER_CD, SUPPLIER_NAME, ORDER_NO, MANIFEST_NO, ROUTE_RATE, P_LANE_SEQ, ARRIVAL_PLAN_DT, SUM([ORDER]) as [ORDER], SHORTAGE, CASE WHEN REMARK IS NULL THEN 'NOTHING' ELSE REMARK END as REMARK FROM (
	SELECT 
	d.KANBAN_ID,
	a.KANBAN_NO,
	a.PART_NAME,
	a.PART_NO,
	b.SUPPLIER_CD,
	a.SUPPLIER_NAME,
	b.ORDER_NO,
	a.MANIFEST_NO,
	b.P_LANE_SEQ,
	SUBSTRING(b.SUB_ROUTE_CD,1,4) + ' - ' + b.SUB_ROUTE_SEQ as ROUTE_RATE,
	b.ARRIVAL_PLAN_DT,
	a.ORDER_PLAN_QTY_LOT as [ORDER],
	(SELECT COUNT(c.KANBAN_ID) FROM TB_R_RECEIVING_D c WHERE c.MANIFEST_NO = a.MANIFEST_NO AND c.RECEIVING_FLG = 0 AND c.ORDER_NO = b.ORDER_NO AND c.PART_NO = a.PART_NO) as SHORTAGE,
	e.REMARK
	FROM TB_R_DAILY_ORDER_PART a
	LEFT JOIN TB_R_DAILY_ORDER_MANIFEST b ON b.MANIFEST_NO = a.MANIFEST_NO
	INNER JOIN TB_R_RECEIVING_D d ON d.MANIFEST_NO = a.MANIFEST_NO AND d.PART_NO = a.PART_NO AND d.ORDER_NO = b.ORDER_NO
	LEFT JOIN TB_R_KANBAN_REMARK e ON e.KANBAN_ID = d.KANBAN_ID AND e.MANIFEST_NO = a.MANIFEST_NO AND e.ORDER_NO = b.ORDER_NO AND e.PART_NO = a.PART_NO
	WHERE b.ORDER_NO = @0 AND b.RCV_PLANT_CD = @1 AND b.DOCK_CD = @2 AND b.SUPPLIER_CD = @3 AND b.P_LANE_CD = @4 AND ORDER_PLAN_QTY_LOT > 0
	)tbl
	GROUP BY KANBAN_ID, KANBAN_NO, PART_NAME, PART_NO, MANIFEST_NO, SUPPLIER_NAME, SUPPLIER_CD, ORDER_NO, ROUTE_RATE, P_LANE_SEQ, ARRIVAL_PLAN_DT, SHORTAGE, REMARK
END
ELSE
BEGIN
	SELECT ROW_NUMBER() over(order by MANIFEST_NO) as Row, KANBAN_ID, KANBAN_NO, PART_NAME, PART_NO,  SUPPLIER_CD, SUPPLIER_NAME, ORDER_NO, MANIFEST_NO, ROUTE_RATE, P_LANE_SEQ, ARRIVAL_PLAN_DT, SUM([ORDER]) as [ORDER], SHORTAGE, CASE WHEN REMARK IS NULL THEN 'NOTHING' ELSE REMARK END as REMARK FROM (
	SELECT 
	d.KANBAN_ID,
	a.KANBAN_NO,
	a.PART_NAME,
	a.PART_NO,
	b.SUPPLIER_CD,
	a.SUPPLIER_NAME,
	b.ORDER_NO,
	a.MANIFEST_NO,
	b.P_LANE_SEQ,
	SUBSTRING(b.SUB_ROUTE_CD,1,4) + ' - ' + b.SUB_ROUTE_SEQ as ROUTE_RATE,
	b.ARRIVAL_PLAN_DT,
	a.ORDER_PLAN_QTY_LOT as [ORDER],
	(SELECT COUNT(c.KANBAN_ID) FROM TB_R_RECEIVING_D c WHERE c.MANIFEST_NO = a.MANIFEST_NO AND c.RECEIVING_FLG = 0 AND c.ORDER_NO = b.ORDER_NO AND c.PART_NO = a.PART_NO) as SHORTAGE,
	e.REMARK
	FROM TB_R_DAILY_ORDER_PART a
	LEFT JOIN TB_R_DAILY_ORDER_MANIFEST b ON b.MANIFEST_NO = a.MANIFEST_NO
	INNER JOIN TB_R_RECEIVING_D d ON d.MANIFEST_NO = a.MANIFEST_NO AND d.PART_NO = a.PART_NO AND d.ORDER_NO = b.ORDER_NO
	LEFT JOIN TB_R_KANBAN_REMARK e ON e.KANBAN_ID = d.KANBAN_ID AND e.MANIFEST_NO = a.MANIFEST_NO AND e.ORDER_NO = b.ORDER_NO AND e.PART_NO = a.PART_NO
	WHERE b.ORDER_NO = @0 AND b.RCV_PLANT_CD = @1 AND b.DOCK_CD = @2 AND b.SUPPLIER_CD = @3 AND b.P_LANE_CD = @4 AND a.KANBAN_NO = @5 AND ORDER_PLAN_QTY_LOT > 0
	)tbl
	GROUP BY KANBAN_ID, KANBAN_NO, PART_NAME, PART_NO, MANIFEST_NO, SUPPLIER_NAME, SUPPLIER_CD, ORDER_NO, ROUTE_RATE, P_LANE_SEQ, ARRIVAL_PLAN_DT, SHORTAGE, REMARK
END
